---
lang: en
title: 'API docs: service-proxy.servicemixindoc'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.service-proxy.servicemixindoc.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/service-proxy](./service-proxy.md) &gt; [ServiceMixinDoc](./service-proxy.servicemixindoc.md)

## ServiceMixinDoc class

A dummy class created to generate the tsdoc for the members in service mixin. Please don't use it.

The members are implemented in function <a href="#ServiceMixin">ServiceMixin</a>

<b>Signature:</b>

```typescript
export declare class ServiceMixinDoc 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(args)](./service-proxy.servicemixindoc._constructor_.md) |  | Constructs a new instance of the <code>ServiceMixinDoc</code> class |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [component(component)](./service-proxy.servicemixindoc.component.md) |  | Add a component to this application. Also mounts all the components services. |
|  [mountComponentServices(component)](./service-proxy.servicemixindoc.mountcomponentservices.md) |  | Get an instance of a component and mount all it's services. This function is intended to be used internally by component() |
|  [serviceProvider(provider)](./service-proxy.servicemixindoc.serviceprovider.md) |  | Add a service to this application. |


